LibreOffice LibreOffice 7.2 SDK API Reference

Classes | Modules
TextRange.idl File Reference
`import "com/sun/star/text/XTextRange.idl";`
`import "com/sun/star/beans/XPropertySet.idl";`
`import "com/sun/star/beans/XPropertyState.idl";`
`import "com/sun/star/style/CharacterProperties.idl";`
`import "com/sun/star/style/ParagraphProperties.idl";`
`import "com/sun/star/style/ParagraphPropertiesAsian.idl";`
`import "com/sun/star/style/ParagraphPropertiesComplex.idl";`
`import "com/sun/star/style/CharacterPropertiesAsian.idl";`
`import "com/sun/star/style/CharacterPropertiesComplex.idl";`
`import "com/sun/star/container/XContentEnumerationAccess.idl";`

Go to the source code of this file.

## Classes
service | TextRange
| points to a sequence of characters within a Text. More...

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.